
#
# Patch managed by http://www.mn-logistik.de/unsupported/pxa250/patcher
#

--- bzip2-1.0.2/Makefile~installpaths
+++ bzip2-1.0.2/Makefile
@@ -12,8 +12,12 @@
 CFLAGS=-Wall -Winline -O2 -fomit-frame-pointer -fno-strength-reduce $(BIGFILES)
 
 # Where you want it installed when you do 'make install'
-PREFIX=/usr
-
+DESTDIR=
+prefix=/usr
+bindir=$(prefix)/bin
+mandir=$(prefix)/man
+includedir=$(prefix)/include
+libdir=$(prefix)/lib
 
 OBJS= blocksort.o  \
       huffman.o    \
@@ -58,43 +62,43 @@
 	@cat words3
 
 install: bzip2 bzip2recover
-	if ( test ! -d $(PREFIX)/bin ) ; then mkdir -p $(PREFIX)/bin ; fi
-	if ( test ! -d $(PREFIX)/lib ) ; then mkdir -p $(PREFIX)/lib ; fi
-	if ( test ! -d $(PREFIX)/man ) ; then mkdir -p $(PREFIX)/man ; fi
-	if ( test ! -d $(PREFIX)/man/man1 ) ; then mkdir -p $(PREFIX)/man/man1 ; fi
-	if ( test ! -d $(PREFIX)/include ) ; then mkdir -p $(PREFIX)/include ; fi
-	cp -f bzip2 $(PREFIX)/bin/bzip2
-	cp -f bzip2 $(PREFIX)/bin/bunzip2
-	cp -f bzip2 $(PREFIX)/bin/bzcat
-	cp -f bzip2recover $(PREFIX)/bin/bzip2recover
-	chmod a+x $(PREFIX)/bin/bzip2
-	chmod a+x $(PREFIX)/bin/bunzip2
-	chmod a+x $(PREFIX)/bin/bzcat
-	chmod a+x $(PREFIX)/bin/bzip2recover
-	cp -f bzip2.1 $(PREFIX)/man/man1
-	chmod a+r $(PREFIX)/man/man1/bzip2.1
-	cp -f bzlib.h $(PREFIX)/include
-	chmod a+r $(PREFIX)/include/bzlib.h
-	cp -f libbz2.a $(PREFIX)/lib
-	chmod a+r $(PREFIX)/lib/libbz2.a
-	cp -f bzgrep $(PREFIX)/bin/bzgrep
-	ln $(PREFIX)/bin/bzgrep $(PREFIX)/bin/bzegrep
-	ln $(PREFIX)/bin/bzgrep $(PREFIX)/bin/bzfgrep
-	chmod a+x $(PREFIX)/bin/bzgrep
-	cp -f bzmore $(PREFIX)/bin/bzmore
-	ln $(PREFIX)/bin/bzmore $(PREFIX)/bin/bzless
-	chmod a+x $(PREFIX)/bin/bzmore
-	cp -f bzdiff $(PREFIX)/bin/bzdiff
-	ln $(PREFIX)/bin/bzdiff $(PREFIX)/bin/bzcmp
-	chmod a+x $(PREFIX)/bin/bzdiff
-	cp -f bzgrep.1 bzmore.1 bzdiff.1 $(PREFIX)/man/man1
-	chmod a+r $(PREFIX)/man/man1/bzgrep.1
-	chmod a+r $(PREFIX)/man/man1/bzmore.1
-	chmod a+r $(PREFIX)/man/man1/bzdiff.1
-	echo ".so man1/bzgrep.1" > $(PREFIX)/man/man1/bzegrep.1
-	echo ".so man1/bzgrep.1" > $(PREFIX)/man/man1/bzfgrep.1
-	echo ".so man1/bzmore.1" > $(PREFIX)/man/man1/bzless.1
-	echo ".so man1/bzdiff.1" > $(PREFIX)/man/man1/bzcmp.1
+	if ( test ! -d $(DESTDIR)$(bindir) ) ; then mkdir -p $(DESTDIR)$(bindir) ; fi
+	if ( test ! -d $(DESTDIR)$(libdir) ) ; then mkdir -p $(DESTDIR)$(libdir) ; fi
+	if ( test ! -d $(DESTDIR)$(mandir) ) ; then mkdir -p $(DESTDIR)$(mandir) ; fi
+	if ( test ! -d $(DESTDIR)$(mandir)/man1 ) ; then mkdir -p $(DESTDIR)$(mandir)/man1 ; fi
+	if ( test ! -d $(DESTDIR)$(includedir) ) ; then mkdir -p $(DESTDIR)$(includedir) ; fi
+	cp -f bzip2 $(DESTDIR)$(bindir)/bzip2
+	cp -f bzip2 $(DESTDIR)$(bindir)/bunzip2
+	cp -f bzip2 $(DESTDIR)$(bindir)/bzcat
+	cp -f bzip2recover $(DESTDIR)$(bindir)/bzip2recover
+	chmod a+x $(DESTDIR)$(bindir)/bzip2
+	chmod a+x $(DESTDIR)$(bindir)/bunzip2
+	chmod a+x $(DESTDIR)$(bindir)/bzcat
+	chmod a+x $(DESTDIR)$(bindir)/bzip2recover
+	cp -f bzip2.1 $(DESTDIR)$(mandir)/man1
+	chmod a+r $(DESTDIR)$(mandir)/man1/bzip2.1
+	cp -f bzlib.h $(DESTDIR)$(includedir)
+	chmod a+r $(DESTDIR)$(includedir)/bzlib.h
+	cp -f libbz2.a $(DESTDIR)$(libdir)
+	chmod a+r $(DESTDIR)$(libdir)/libbz2.a
+	cp -f bzgrep $(DESTDIR)$(bindir)/bzgrep
+	ln $(DESTDIR)$(bindir)/bzgrep $(DESTDIR)$(bindir)/bzegrep
+	ln $(DESTDIR)$(bindir)/bzgrep $(DESTDIR)$(bindir)/bzfgrep
+	chmod a+x $(DESTDIR)$(bindir)/bzgrep
+	cp -f bzmore $(DESTDIR)$(bindir)/bzmore
+	ln $(DESTDIR)$(bindir)/bzmore $(DESTDIR)$(bindir)/bzless
+	chmod a+x $(DESTDIR)$(bindir)/bzmore
+	cp -f bzdiff $(DESTDIR)$(bindir)/bzdiff
+	ln $(DESTDIR)$(bindir)/bzdiff $(DESTDIR)$(bindir)/bzcmp
+	chmod a+x $(DESTDIR)$(bindir)/bzdiff
+	cp -f bzgrep.1 bzmore.1 bzdiff.1 $(DESTDIR)$(mandir)/man1
+	chmod a+r $(DESTDIR)$(mandir)/man1/bzgrep.1
+	chmod a+r $(DESTDIR)$(mandir)/man1/bzmore.1
+	chmod a+r $(DESTDIR)$(mandir)/man1/bzdiff.1
+	echo ".so man1/bzgrep.1" > $(DESTDIR)$(mandir)/man1/bzegrep.1
+	echo ".so man1/bzgrep.1" > $(DESTDIR)$(mandir)/man1/bzfgrep.1
+	echo ".so man1/bzmore.1" > $(DESTDIR)$(mandir)/man1/bzless.1
+	echo ".so man1/bzdiff.1" > $(DESTDIR)$(mandir)/man1/bzcmp.1
 
 distclean: clean
 clean: 
